Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7538 - cpio (cpio-2.4.2-13) closes filedescriptor to early
Summary: cpio (cpio-2.4.2-13) closes filedescriptor to early
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cpio
Version: 6.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: bero
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 14:18 UTC by Karsten Hopp
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-17 18:52:30 UTC


Attachments (Terms of Use)

Description Karsten Hopp 1999-12-03 14:18:48 UTC
There's a new bug in release 13 of cpio. If you write an archive with
verbose-mode, the filedescriptor 1 will be closed and after that the
filename should be written to this descriptor.
Try this:
echo /etc/passwd | strace cpio -ocvB >/dev/null

The last few lines will look like this:

==>	close(1)                                = 0
==>	write(1, "/etc/passwd\n", 12)           = -1 EBADF (Bad file
descriptor)



        Karsten

Comment 1 Karsten Hopp 1999-12-04 13:36:59 UTC
Should be an easy fix.
Shanged priority to 4high4, because several backup-systems rely on
the output of the filename after writing the archive.
(Return value is not valid on every system)

    Karsten

Comment 2 Jeff Johnson 1999-12-17 18:52:59 UTC
I believe that this problem is fixed by reverting the stdout patch (#3358)
that has been done in cpio-2.4.2-14. Please reopen this bug if I'm wrong.

Comment 3 Karsten Hopp 1999-12-20 10:39:59 UTC
Ok, it's fixed.

 Thanks
         Karsten


Note You need to log in before you can comment on or make changes to this bug.